Subject: RE: Last Call: 'IETF Rights in Contributions' to BCP

From: "Contreras, Jorge" <[email-masked]>
Date: Wed, 30 Jul 2003 18:10:51 -0400

-----Original Message-----
From: C. M. Heard [mailto:[email-masked]]
Sent: Wednesday, July 30, 2003 5:50 PM
To: Wijnen, Bert (Bert)
Cc: [email-masked]; [email-masked]
Subject: RE: Last Call: 'IETF Rights in Contributions' to BCP 

On Wed, 30 Jul 2003, Wijnen, Bert (Bert) wrote:
> > Specifically, it does not seem reasonable to me to require mention of
> > ISOC but not to allow mention of the organization that originally
> > produced the MIB module and that retains change control over it.  In
> > fact, I would think that the nature of the copyright notice in the MIB
> > module (and even whether there is one) should probably be determined
> > by the party that is granting permission to republish it;  after all,
> > the abbreviated copyright notice covers a derivative work (the
> > extracted MIB module), not the RFC from which it was extracted.
> > 
> To this comment, I would say: If a other organisation wants to 
> publish an (informational or other) RFC that contains a MIB or PIB
> module, and they are not willing to let people extract the MIB or
> PIB module, then I do NOT see any justification for publishing the
> document as a RFC at all.

I certainly have no quarrel with that.  What I'm quibbling over is the
nature of the copyright notice (if any) that appears in the extracted
MIB module.

> I do agree that maybe some mention of the original owner of the
> material could (should?) be listed here. But I am not a copyright
> lawyer, so I leave it to people who are knowledgable in that space.

I would also like to hear what the IETF counsel advises.

JLC> The "full" copyright notice says "the authors retain all their rights".
This language was intended to recognize that authors of IETF documents
do not transfer ownership of copyrights to IETF or ISOC.  While the
same principle certainly applies to MIBs and PIBs, the desire was to 
have a very short, abbreviated notice on these types of 
submissions.  Since the abbreviated notice points to the longer
notice, and given the nature of the works involved, we felt that 
the shorter version was acceptable. However, if there 
is a concern about the rights of the
authors, I'd definitely support expanding the MIB/PIB copyright
notice to include the language I mentioned above, reserving the
rights of the original author or standards body.

Jorge

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg